<?php
/**
 * @package		H5P
 * @subpackage	com_h5p
 * @copyright	Copyright (C) 2013 Amendor AS. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

/**
 * Stats View
 */
class H5PViewStats extends JViewLegacy
{
	/**
	 * view display method
	 * @return void
	 */
	function display($tpl = null)
	{
		// Get data from the model
		$items = $this->get('Items');
		$pagination = $this->get('Pagination');

		// Check for errors.
		if (count($errors = $this->get('Errors')))
		{
			JError::raiseError(500, implode('<br />', $errors));
			return false;
		}
		// Assign data to the view
		$this->items = $items;
		$this->pagination = $pagination;

		// Set the toolbar
		$this->addToolBar();

		// Display the template
		parent::display($tpl);
	}

	/**
	 * Setting the toolbar
	 */
	protected function addToolBar()
	{
		$input = JFactory::getApplication()->input;
		$input->set('hidemainmenu', false);
		JToolBarHelper::title(JText::_('COM_H5P_MANAGER') . ': ' . JText::_('COM_H5P_STATUS_TITLE'));
		JToolBarHelper::deleteList('Are you sure, bob?', 'H5Ps.delete', 'COM_H5P_MANAGER_H5P_REMOVE');
		// JToolBarHelper::cancel('H5P.cancel', 'JTOOLBAR_CLOSE');
	}
}
